import request from '@/utils/request'


export function headCardListStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/headCardListStatistics',
    method: 'get',
    params: query
  })
}

export function violationStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/violationStatistics',
    method: 'get',
    params: query
  })
}

export function lawsAndRegulationsStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/lawsAndRegulationsStatistics',
    method: 'get',
    params: query
  })
}

export function biddingStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/biddingStatistics',
    method: 'get',
    params: query
  })
}

export function lessonDailyStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/lessonDailyStatistics',
    method: 'get',
    params: query
  })
}

export function lessonDailyCompleteStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/lessonDailyCompleteStatistics',
    method: 'get',
    params: query
  })
}

export function lessonDailyStudyStatistics(query) {
  return request({
    url: '/knowledge/knowledgeStatistics/lessonDailyStudyStatistics',
    method: 'get',
    params: query
  })
}
